fop 1.1

## org.apache.fop.complexscripts.util
Class CharMirror

    java.lang.Object
      org.apache.fop.complexscripts.util.CharMirror

    public final class CharMirror

extends java.lang.Object

Mirror related utilities.

This work was originally authored by Glenn Adams (gadams@apache.org).

Method Summary
`static java.lang.String` `mirror(java.lang.String s)` Mirror characters that are designated as having the bidi mirrorred property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mirror

    public static java.lang.String mirror(java.lang.String s)

  Mirror characters that are designated as having the bidi mirrorred property.

  Parameters:
    `s` - a string whose characters are to be mirrored
  Returns:
    the resulting string

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.